package yaegi

// GENERATED BY yaegi-dsl. DO NOT EDIT.

import "reflect"
import "gitlab.com/ethan.reesor/vscode-notebooks/lib/notebook"

func (x *vscodeDSL) symbols() map[string]reflect.Value {
	return map[string]reflect.Value{
		"PromptOptions": reflect.ValueOf((*promptOptions)(nil)),
		"Prompt":        reflect.ValueOf(x.Prompt),
		"Cache":         reflect.ValueOf(x.Cache),
		"Uncache":       reflect.ValueOf(x.Uncache),
	}
}
func (x *notebookDSL) symbols() map[string]reflect.Value {
	return map[string]reflect.Value{
		"Formatter":      reflect.ValueOf((*notebook.Formatter)(nil)),
		"Content":        reflect.ValueOf((*notebook.Content)(nil)),
		"MultiFormat":    reflect.ValueOf((*notebook.MultiFormat)(nil)),
		"SpewFormat":     reflect.ValueOf((*notebook.SpewFormat)(nil)),
		"SQLFormat":      reflect.ValueOf((*notebook.SQLFormat)(nil)),
		"JSONFormat":     reflect.ValueOf((*notebook.JSONFormat)(nil)),
		"XMLFormat":      reflect.ValueOf((*notebook.XMLFormat)(nil)),
		"MarkdownFormat": reflect.ValueOf((*notebook.MarkdownFormat)(nil)),
		"Halt":           reflect.ValueOf(x.Halt),
		"Inspect":        reflect.ValueOf(x.Inspect),
		"Show":           reflect.ValueOf(x.Show),
	}
}
